<div class="loginBody">
  <div class="loginForm">
    <form novalidate (ngSubmit)="onSubmit(credentials)" [formGroup]="credentials" autocomplete="off">
      <md-card>
        <div class="mdl-card__title mdl-card--expand">
          <img src="../../../assets/img/Yum-logo-small.png">
        </div>
        <h4 class="noMarginsPaddings" align="center">Sign in</h4>
        <md-card-content>
          <div>
            <!--Email -->
            <md-input-container class="example-full-width formWidth">
              <input type="text" mdInput placeholder="Email" formControlName="email" />
              <md-error *ngIf="credentials.get('email').touched && credentials.get('email').hasError('required')">Email is required</md-error>
            </md-input-container>
          </div>
          <div>
            <md-input-container class="example-full-width formWidth">
              <input type="password" mdInput placeholder="Password" formControlName="password" />
              <md-error *ngIf="credentials.get('password').touched && credentials.get('password').hasError('required')">Password is required</md-error>
              <md-error *ngIf="credentials.get('password').touched && credentials.get('password').hasError('minlength')">Password is short</md-error>
            </md-input-container>
          </div>
          <md-card-actions>
            <div fxLayout="row" fxLayoutAlign="center center">
              <div fxFlex="25">
              </div>
              <button fxFlex="50" [disabled]="credentials.invalid || loading " type="submit" md-raised-button color="accent">Login</button>

              <div fxLayoutAlign="center center" fxFlex="25">
                <md-spinner style="float:right" *ngIf="loading"></md-spinner>
              </div>
            </div>
          </md-card-actions>
          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
            <a routerLink="/forgotpwd" routerLinkActive="active">Forgot Password?</a>
          </div>
          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
          </div>
        </md-card-content>
      </md-card>
    </form>
    <div class="mdl-shadow--2dp lightBgColourRed">
      <div class="mdl-card__supporting-text">
        <h2 class="mdl-card__title-text whiteText">Don't Have an account?</h2>
      </div>
      <div align="center">
        <a class="whiteText skipUnderlineInGeneral" routerLink="/register" routerLinkActive="active">Create an account</a>
      </div>
    </div>
  </div>
  <div class="quote">
    <div>
      <div>
        <p>What I've enjoyed most, though, is meeting people who have a real interest in food and sharing ideas with them. Good
          food is a global thing and I find that there is always something new and amazing to learn - I love it!</p>
        <p> Jamie Oliver</p>
        <p><a class="quote-link" href="https://www.brainyquote.com/quotes/quotes/j/jamieolive182593.html" target="_blank">www.brainyquote.com</a></p>
      </div>
    </div>
  </div>
</div>
